<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
  <title>Title</title>
</head>
<body>
<div class="container p-4">
  <div class="row">
    <div class="col-lg-6 col-md-6 col-sm-6 container justify-content-center card">
      <h1 class="text-center">Create Students</h1>
      <div class="card-body">
        <form th:action="@{/api/v1/students}" th:object="${student}" method="post">
          <div class="form-group">
            <label>Nom</label>
            <input type="text" name="lastName" th:field = "*{lastName}" placeholder="Nom" class="form-control form-control">
          </div>
          <br>
          <div class="form-group">
            <label>Prénom</label>
            <input type="text" name="firstName" th:field = "*{firstName}" placeholder="Prénom" class="form-control form-control">
          </div>
          <br>
          <div class="form-group">
            <label>CNE</label>
            <input type="text" name="cne" th:field = "*{nce}" placeholder="CNE" class="form-control form-control">
          </div>
          <br>
          <div class="form-group">
            <label>Email</label>
            <input type="text" name="email" th:field = "*{email}" placeholder="Email" class="form-control form-control">
          </div>
          <br>
          <div class="form-group">
            <label>Facuté</label>
            <input type="text" name="faculty" th:field = "*{faculty}" placeholder="Faculté" class="form-control form-control">
          </div>
          <br>
          <div class="form-group">
            <label>Téléphone</label>
            <input type="text" name="phoneNumber" th:field = "*{phoneNumber}" placeholder="Téléphone" class="form-control form-control">
          </div>
          <br>
          <div class="box-footer">
            <button type="submit" class="btn btn-outline-primary">
              Save
            </button>
          </div>

        </form>
      </div>
    </div>
  </div>
</div>
</body>
</html>